
%bcond_with check
%global debug_package %{nil}
%global crate cbindgen

Name:           rust-cbindgen
Version:        0.26.0
Release:        2%{?dist}
Summary:        Tool for generating C bindings to Rust code

License:        MPL-2.0
URL:            https://crates.io/crates/cbindgen
Source0:        %{crates_source}
Source1:        %{crate}-%{version}-vendor.tar.gz

BuildRequires:  cargo rust-toolset

%global _description %{expand:
A tool for generating C bindings to Rust code.}

%description %{_description}

%package -n %{crate}
Summary:        %{summary}
Provides:       %{name} = %{version}-%{release}
License:        MPL-2.0 AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)

%description -n %{crate} %{_description}



%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep -V 1

%if %{with check}
echo '/usr/bin/cython'
echo '/usr/bin/gcc'
echo '/usr/bin/g++'
%endif



%build
%cargo_build



%install
%cargo_install



%if %{with check}
%check
%cargo_test
%endif



%files -n %{crate}
%license LICENSE
%{_bindir}/cbindgen



%changelog
* Fri Mar 21 2025 Zhao Zhen <jeremiazhao@tencent.com> - 0.26.0-2
- rebuild

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.26.0-1
- initial build
